/* Copyright 2008 we-lab-doc! (http://www.we-lab-doc.com/) 
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import com.we_lab_doc.spacecard.service.SpaceCardModelConfigurer.SpaceCardModelProperties

/**
 * @author Shigeru GOUGI
 * @since 0.1
 *        <p/>
 *        Created: February 24, 2008
 */
class DefaultSpaceCardModelProperties implements SpaceCardModelProperties {
	Map properties
	String getSupervisorCommunityName() {
		return properties.supervisorCommunityName
	}
	String getSupervisorAccount() {
		return properties.supervisorAccount
	}
	String getDefaultSupervisorPassword(){
		return properties.defaultSupervisorPassword
	}
	String getDefaultSupervisorEmail() {
		return properties.defaultSupervisorEmail
	}
	String getDefaultSupervisorLastName() {
		return properties.defaultSupervisorLastName
	}
	String getDefaultSupervisorFirstName() {
		return properties.defaultSupervisorFirstName
	}
	String getDefaultSupervisorLastNameKana(){
		return properties.defaultSupervisorLastNameKana
	}
	String getDefaultSupervisorFirstNameKana(){
		return properties.defaultSupervisorFirstNameKana
	}	
}